{% extends 'base.html.twig' %}

{% block main %}

    <h1 class="text-center">
        {{ msg('translate-header') }} <code>/{{ source_page.path }}.md</code>
    </h1>

    <div class="row">

        <div class="col mx-3" style="width:50%">
            <h2>{{ msg('source-language') }} {{ source_page.lang }}</h2>

            <ul class="nav nav-tabs" id="source-tabs" role="tablist">
                <li class="nav-item" role="presentation">
                    <button class="nav-link" id="diff-tab" data-bs-toggle="tab"
                            data-bs-target="#diff" type="button" role="tab" aria-controls="diff" aria-selected="true">
                        {{ msg('diff-tab') }}
                    </button>
                </li>
                <li class="nav-item" role="presentation">
                    <button class="nav-link active" id="full-tab" data-bs-toggle="tab"
                            data-bs-target="#full" type="button" role="tab" aria-controls="full" aria-selected="false">
                        {{ msg('full-tab') }}
                    </button>
                </li>
                <li class="nav-item" role="presentation">
                    <button class="nav-link" id="source-preview-tab" data-bs-toggle="tab"
                            data-bs-target="#source-preview" type="button" role="tab" aria-controls="source-preview" aria-selected="false">
                        {{ msg('preview-tab') }}
                    </button>
                </li>
            </ul>
            <div class="tab-content pt-3" id="source-tabs-content">
                <div class="tab-pane fade" id="diff" role="tabpanel" aria-labelledby="diff-tab">
                    <em>[Under construction.]</em>
                </div>
                <div class="tab-pane fade show active" id="full" role="tabpanel" aria-labelledby="full-tab">
                    <label for="original-contents" class="form-label">{{msg('source-page-contents')}}</label>
                    <textarea class="form-control font-monospace" id="original-" readonly rows="24">{{ source_page.contents }}</textarea>
                </div>
                <div class="tab-pane fade" id="source-preview" role="tabpanel" aria-labelledby="source-preview-tab">
                    {{ source_page.html|raw }}
                </div>
            </div>
        </div>

        <div class="col mx-3">
            <h2>{{ msg('target-language') }} {{ target_page.lang }}</h2>

            <ul class="nav nav-tabs" id="translate-tabs" role="tablist">
                <li class="nav-item" role="presentation">
                    <button class="nav-link active" id="edit-tab" data-bs-toggle="tab"
                            data-bs-target="#edit" type="button" role="tab" aria-controls="home" aria-selected="true">
                        {{ msg('edit-tab') }}
                    </button>
                </li>
                <li class="nav-item" role="presentation">
                    <button class="nav-link" id="translate-preview-tab" data-bs-toggle="tab"
                            data-bs-target="#translate-preview" type="button" role="tab" aria-controls="translate-preview" aria-selected="false">
                        {{ msg('preview-tab') }}
                    </button>
                </li>
            </ul>
            <div class="tab-content pt-3" id="translate-tabs-content">
                <div class="tab-pane fade show active" id="edit" role="tabpanel" aria-labelledby="edit-tab">
                    <form action="{{ path('save') }}" method="post">
                            <p>
                                <label for="contents" class="form-label">{{msg('target-page-contents')}}</label>
                                <textarea name="contents" id="contents" class="form-control font-monospace" rows="24">{{ target_page.contents }}</textarea>
                            </p>
                            <p>
                                <input type="hidden" name="tool" value="{{ tool.name }}" />
                                <input type="hidden" name="lang" value="{{ target_page.lang }}" />
                                <input type="hidden" name="path" value="{{ target_page.path }}" />
                                <input type="hidden" name="token" value="{{ csrf_token('edit-page') }}"/>
                                <input type="submit" value="{{ msg('save') }}" class="btn btn-primary" />
                                <a href="{{ path('page', {tool:tool.name, lang:source_page.lang, path:source_page.path, version:'latest'}) }}" role="button" class="btn btn-secondary">
                                    {{ msg('cancel') }}
                                </a>
                            </p>
                        </form>
                    </div>
                <div class="tab-pane fade" id="translate-preview" role="tabpanel" aria-labelledby="translate-preview-tab">
                    <em>[Under construction.]</em>
                </div>
            </div>
        </div>

    </div>

{% endblock %}
